<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>MemoryP OSAL External Functions</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">MemoryP OSAL External Functions<div class="ingroups"><a class="el" href="group___m_e_m_o_r_y_p___o_s_a_l.html">MemoryP OSAL Porting Layer</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>The section documents the external API exposed by the OSAL Porting layer.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga4d1d98aed7b5746e3fc05bfdeb48833e"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_e_m_o_r_y_p___o_s_a_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga4d1d98aed7b5746e3fc05bfdeb48833e">MemoryP_ctrlAlloc</a> (uint32_t size, uint8_t alignment)</td></tr>
<tr class="memdesc:ga4d1d98aed7b5746e3fc05bfdeb48833e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function which is used to allocate memory for control operations.  <a href="#ga4d1d98aed7b5746e3fc05bfdeb48833e">More...</a><br /></td></tr>
<tr class="separator:ga4d1d98aed7b5746e3fc05bfdeb48833e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5915670001695b5263a8edb1476120a7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_e_m_o_r_y_p___o_s_a_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga5915670001695b5263a8edb1476120a7">MemoryP_ctrlFree</a> (void *ptr, uint32_t size)</td></tr>
<tr class="memdesc:ga5915670001695b5263a8edb1476120a7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function which is used to free previously allocated control memory.  <a href="#ga5915670001695b5263a8edb1476120a7">More...</a><br /></td></tr>
<tr class="separator:ga5915670001695b5263a8edb1476120a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga97f16e8116d74cba6a9cee92324923b9"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_e_m_o_r_y_p___o_s_a_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga97f16e8116d74cba6a9cee92324923b9">MemoryP_dataAlloc</a> (uint32_t size, uint8_t alignment)</td></tr>
<tr class="memdesc:ga97f16e8116d74cba6a9cee92324923b9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function which is used to allocate memory for data operations.  <a href="#ga97f16e8116d74cba6a9cee92324923b9">More...</a><br /></td></tr>
<tr class="separator:ga97f16e8116d74cba6a9cee92324923b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga728f516aab7003dc8028d5420d35e7fb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_e_m_o_r_y_p___o_s_a_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga728f516aab7003dc8028d5420d35e7fb">MemoryP_dataFree</a> (void *ptr, uint32_t size)</td></tr>
<tr class="memdesc:ga728f516aab7003dc8028d5420d35e7fb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Function which is used to free previously allocated data memory.  <a href="#ga728f516aab7003dc8028d5420d35e7fb">More...</a><br /></td></tr>
<tr class="separator:ga728f516aab7003dc8028d5420d35e7fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>The section documents the external API exposed by the OSAL Porting layer. </p>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="ga4d1d98aed7b5746e3fc05bfdeb48833e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* MemoryP_ctrlAlloc </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>size</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>alignment</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Function which is used to allocate memory for control operations. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">size</td><td>Size of the requested memory </td></tr>
    <tr><td class="paramname">alignment</td><td>Requested alignment in bytes</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Pointer to the allocated memory on success or a NULL on an error </dd></dl>

</div>
</div>
<a class="anchor" id="ga5915670001695b5263a8edb1476120a7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MemoryP_ctrlFree </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>size</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Function which is used to free previously allocated control memory. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ptr</td><td>Pointer to the memory to be cleaned up </td></tr>
    <tr><td class="paramname">size</td><td>Size of the memory which is being cleaned up</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

</div>
</div>
<a class="anchor" id="ga97f16e8116d74cba6a9cee92324923b9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* MemoryP_dataAlloc </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>size</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>alignment</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Function which is used to allocate memory for data operations. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">size</td><td>Size of the requested memory </td></tr>
    <tr><td class="paramname">alignment</td><td>Requested alignment in bytes</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Pointer to the allocated memory on success or a NULL on an error </dd></dl>

</div>
</div>
<a class="anchor" id="ga728f516aab7003dc8028d5420d35e7fb"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void MemoryP_dataFree </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>size</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Function which is used to free previously allocated data memory. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">ptr</td><td>Pointer to the memory to be cleaned up </td></tr>
    <tr><td class="paramname">size</td><td>Size of the memory which is being cleaned up</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
